import React, { useState, useRef, useEffect } from 'react';
import { Card, Space, Button } from 'antd';
import { FormattedMessage, useIntl, useModel } from '@umijs/max';
import { createStyles } from 'antd-style';
import * as Utils from '../utils'
import Http from '@/utils/http';

const useStyles = createStyles(({ token, css }) => {
    let dark = token.colorBgBase === '#000';
    return {
        jsonBox: {
            height: '100%',
            border: dark ? '2px solid #747d8c' : '2px solid #535c68',
            borderRadius: '5px',
            padding: '5px',
            cursor: 'text'
        },
        jsonContent: {
            height: '100%',
            overflowY: 'auto',
            width: '100%',
            border: 'none',
            backgroundColor: 'transparent',
            resize: 'none',
            fontFamily: '"Courier New", monospace',
            fontWeight: 'bold',
            fontSize: '1em',
            lineHeight: '1.5',
            color: dark ? '#eee' : '#333',
            '&:focus': {
                outline: 'none'
            }
        }
    }
})

const ShowJSON = (props) => {
    const { styles } = useStyles();
    const { curSprite } = props;

    const formattedJSON = JSON.stringify(curSprite.data, null, 2);

    return (
        <>
            <div className={styles.jsonBox}>
                <textarea
                    readOnly
                    className={styles.jsonContent}
                    value={formattedJSON}
                />
            </div>
        </>
    )
}

export default ShowJSON;